/**
----------------------------------------
INITIAL SETTINGS
----------------------------------------
 */

html {
    height: 100%;
    font-size: 100%;
    -webkit-box-sizing: border-box; /* Needed for mobile WebKit */
    -moz-box-sizing: border-box; /* Needed for Firefox */
    box-sizing: border-box;
}
body {
    height: 100%;
    font-family: "Open Sans", sans-serif;
    background: white;
    overflow-x: hidden;
}
*, *:before, *:after {
    box-sizing: inherit;
    margin:0;
    padding:0;
    /* font-size:0; */
}

/*
Block elements with bottom margins only
---------------------------------------
*/

p, ul, ol, dl, table,
blockquote, pre, figure,
hr {
    padding-top: 0;
    padding-bottom: 0;
    margin-top: 0;
    margin-bottom: 1rem;
}

h1, h2, h3, h4, h5, h6 {
    margin-top: 0;
    margin-bottom: .5rem;
}

ul ul,
ul ol,
ol ul,
ol ol {
    margin-bottom: 0;
}


/*
Same left margins for ul/ol, dd, blockquote
-------------------------------------------
*/

ul,
ol,
dd {
    padding-left: 1.75rem;
}

dd {
    margin-left: 0;
}

/*
Blockquote
----------
*/

blockquote {
    border: 0;
    padding-left: 1.75rem;
    margin-left: 0;
    font-style: italic;
}

/*
Figure/Figcaption
-----------------
*/

figure {
    margin-left: 0;
    margin-right: 0;
}

figure > table,
figure > img,
figure > picture {
    margin-bottom: 0;
}


/*
Etc.
----
*/

fieldset {
    border: 0;
}

legend {
    padding: 0 .5rem;
}
address {
    margin-bottom: 0;
}
img {
    max-width: 100vw;
}


/* -----------------------------------------
ELEMENTS
-------------------------------------------- */

/* HEADERS --------------------------------- */
h1,h2,h3,h4,h5 {
    font-family: "Montserrat", "Open Sans", sans-serif;
    font-weight: 600;
}
a {
    transition: color .3s ease-in-out;
    text-decoration: underline;
}

h1 {
    font-size: 3rem;
}
h2 {
    font-size: 2rem;
}
h3 {
    font-size: 1.75rem;
}
h4 {
    font-size: 1.375rem;
}
p {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    margin-bottom: 1.5rem;
    max-width: 45rem;
}
span {
    font-size: 1rem;
}
.centered {
    text-align: center;
}
p.centered {
    margin-right: auto;
    margin-left: auto;
    text-align: center;
}
ul.classic-list {
    max-width: 40rem;
    margin: .5rem auto 0;
}
ul.full-width {
    max-width: none;
}
span.list-headline {
    max-width: 40rem;
    display: block;
    margin: 0 auto;
}

.container {
    margin: 0 auto;
}
.row {
    margin: 0;
}


/* -----------------------------------------
ATOMS
-------------------------------------------- */

/* BUTTONS --------------------------------- */
.ptr-button {
    border: .1rem solid;
    border-radius: .2rem;
    font-family: "Montserrat", "Open Sans", sans-serif;
    font-weight: 500;
}
.ptr-button.noBorder {
    border: 0;
}
.ptr-button.primary {
    border: 0;
}
.ptr-button.intro-down-button .fa {
    font-size: 2.2rem;
    transition: color .3s ease-in-out;
}
.ptr-button.menu-button {
    display: none;
    position: absolute;
    right: 1rem;
}

/* -----------------------------------------
COMPONENTS
 -------------------------------------------*/
#root, #microsite {
    height: 100%;
}
#microsite {
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: row;
    flex-direction: row;
    -webkit-align-items: flex-start;
    align-items: flex-start;
}
#microsite-page {
    flex-basis: 100vw;
    width: 100%;
}
#microsite.map-mode {
    overflow-y: hidden;
}
#microsite.map-mode .section-headline {
    display: none;
}
#microsite.map-mode .microsite-navbar.navbar {
    padding-top: 1rem;
}

/* HEADER --------------------------------- */
.microsite-navbar.navbar {
    background: transparent;
    padding-top: 2rem;
    transition: background .5s ease-in-out, padding .3s ease-in-out;
}
.microsite-navbar.navbar.scrolled {
    padding-top: 1rem;
    height: 4.2rem;
}
.microsite-nav.nav li a {
    padding-bottom: .3rem;
    padding-top: .3rem;
}

/* SECTIONS ------------------------------- */
.microsite-section.background-light:not(.highlighted) {
    border-top: 10px solid;
    border-bottom: 10px solid;
}
.microsite-section.highlighted {
    border-bottom: 10px solid;
}
.microsite-section-divider {
    height: 3px;
    margin-top: 2rem;
    margin-bottom: 2rem;
    width: 5rem;
}
.equal-height {
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    margin-bottom: 3rem;
}

/* grid */
div.left > div {
    margin-left: auto;
}
div.right > div {
    margin-right: auto;
}
div.center > div {
    margin-right: auto;
    margin-left: auto;
}

/* section with panels */
.microsite-panels {
    margin: 2rem 0 0 0;
}

.microsite-panels .row > div {
    display: flex;
    justify-content: center;
}

.microsite-panels .row.equal-height > div:first-child {
    justify-content: flex-end;
}

.microsite-panels .row.equal-height > div:last-child {
    justify-content: flex-start;
}


/* FOOTER ------------------------------- */
.microsite-footer {
    padding: 2rem 0;
}
.microsite-footer span, .microsite-footer p {
    font-size: .8rem;
}

/* -----------------------------------------
MAP
 -------------------------------------------*/
#microsite-map-container {
    height: calc(100% - 4.2rem);
    left: 100vw;
    position: absolute;
    top: 4.2rem;
    width: 100vw;
    transition: left .5s ease-in-out;
}
#microsite.map-mode #microsite-map-container {
    left: 0;
    z-index: 9;
}
#microsite-map-content {
    height: 100%;
    width: 100vw;
    left: 0;
}
.microsite-map-widget {
    border: 1px solid;
}
#microsite-map-layers {
    position: absolute;
    right: .7rem;
    top: .7rem;
    z-index: 1999;
}
#microsite-map-timeline {
    position: absolute;
    left: .7rem;
    bottom: .7rem;
    z-index: 1990;
}
#microsite-map {
    height: 100%;
}

/* -----------------------------------------
MEDIA QUERIES
------------------------------------------- */
@media (max-width: 991px) {
    .equal-height {
        display: block;
    }
    .microsite-panels .row.equal-height > div:first-child,
    .microsite-panels .row.equal-height > div:last-child {
        justify-content: center;
    }

    .microsite-panels .ptr-button.w10 {
        width: 7.5rem;
    }
}

@media (max-width: 776px) {
    h1 {
        font-size: 2.5rem;
    }
    h2 {
        font-size: 1.75rem;
    }
    h3 {
        font-size: 1.5rem;
    }
    p {
        font-size: .95rem;
    }
    /* navigation ------------------------- */
    .ptr-button.menu-button {
        display: inline-block;
    }

    /* page ---------------------------- */
    .microsite-section-divider {
        margin-top: 1.75rem;
        margin-bottom: 1.75rem;
    }

    /* map ----------------------------- */
    #microsite-map-layers {
        margin-left: .7rem;
    }
}

@media (max-width: 767px) {
    /* sections ----------------------------------- */
    .equal-height {
        display: block;
        margin-bottom: 0;
    }
    div.left > div {
        margin-right: auto;
        margin-left: auto;
    }
    div.right > div {
        margin-right: auto;
        margin-left: auto;
    }
    p.centered {
        text-align: left;
    }
}

@media (max-width: 500px) {
    h1 {
        font-size: 2rem;
    }
    h2 {
        font-size: 1.5rem;
    }
    h3 {
        font-size: 1.35rem;
    }
    p {
        font-size: .9rem;
    }
    p.centered {
        margin-left: 0;
    }
    /* page ---------------------------- */
    .microsite-section-divider {
        margin-top: 1.5rem;
        margin-bottom: 1.5rem;
    }
}